NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::MeshPointMultipleOnCurveBuilder Class Reference

Represents a NXOpen::CAE::MeshPointMultipleOnCurveBuilder
To create a new instance of this class, use NXOpen::CAE::MeshPointCollection::CreateMeshpointMultipleOnCurveBuilder

Created in NX5.0.2. More...

Inheritance diagram for NXOpen::CAE::MeshPointMultipleOnCurveBuilder:
NXOpen::CAE::MeshPointBaseBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PlacementType { PlacementTypeByNumber, PlacementTypeByDistance }
 the placement type types More...
 

Public Member Functions

bool CreateOption ()
 Returns the create option
Created in NX5.0.0. More...
 
NXOpen::ExpressionDistance ()
 Returns the distance
Created in NX5.0.2. More...
 
NXOpen::SelectIBaseCurveListEdge ()
 Returns the node
Created in NX5.0.2. More...
 
int NumMeshpoints ()
 Returns the number of meshpoints
Created in NX5.0.0. More...
 
NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType PlacementOption ()
 Returns the placement option
Created in NX5.0.0. More...
 
void SetCreateOption (bool createOption)
 Sets the create option
Created in NX5.0.0. More...
 
void SetNumMeshpoints (int numMeshpoints)
 Sets the number of meshpoints
Created in NX5.0.0. More...
 
void SetPlacementOption (NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType placementOption)
 Sets the placement option
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::CAE::MeshPointBaseBuilder
NXOpen::CAE::MeshPointMeshPointToEdit ()
 Returns the base mesh point that will be replaced or edited after the commit operation (Edit Operation). More...
 
int NodeLabel ()
 Returns the node label assigned to mesh point so that node created on the mesh point will have that label. More...
 
void SetMeshPointToEdit (NXOpen::CAE::MeshPoint *inMeshPoint)
 Sets the base mesh point that will be replaced or edited after the commit operation (Edit Operation). More...
 
void SetNodeLabel (int inNodeLabel)
 Sets the node label assigned to mesh point so that node created on the mesh point will have that label. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::MeshPointMultipleOnCurveBuilder
To create a new instance of this class, use NXOpen::CAE::MeshPointCollection::CreateMeshpointMultipleOnCurveBuilder

Created in NX5.0.2.


Member Enumeration Documentation

the placement type types

Enumerator
PlacementTypeByNumber 

by number

PlacementTypeByDistance 

by distance

Member Function Documentation

bool NXOpen::CAE::MeshPointMultipleOnCurveBuilder::CreateOption ( )

Returns the create option
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::CAE::MeshPointMultipleOnCurveBuilder::Distance ( )

Returns the distance
Created in NX5.0.2.



License requirements : None

NXOpen::SelectIBaseCurveList* NXOpen::CAE::MeshPointMultipleOnCurveBuilder::Edge ( )

Returns the node
Created in NX5.0.2.



License requirements : None

int NXOpen::CAE::MeshPointMultipleOnCurveBuilder::NumMeshpoints ( )

Returns the number of meshpoints
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementOption ( )

Returns the placement option
Created in NX5.0.0.



License requirements : None

void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetCreateOption ( bool  createOption)

Sets the create option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
createOptioncreateoption
void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetNumMeshpoints ( int  numMeshpoints)

Sets the number of meshpoints
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
numMeshpointsnummeshpoints
void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetPlacementOption ( NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType  placementOption)

Sets the placement option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
placementOptionplacementoption

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.